function init()
	-- NAME & GRAPHIC --
	c.name = "Archangel"
	c.gfxFile = "archangel.png"
	c.hitScale = .7

	-- STATS --
	c.mass = 300
	c.stat.thrust = .1
	c.stat.maxSpeed = 140
	c.stat.turnRate = 45
	c.stat.armour = 128

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.setExplodeSound("explode_ship.wav")
	c.add_item("point", 128)
	c.add_dropship("AngelPod")
	c.desc = "The center of a cogwork cog."
	c.behavior = "boss_archangel"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 4	--from map_icons.png, which frame to use.
	return 0
end